[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [diacanvas2] Conflit entre paquet pendant mise jour



Raphaël SurcouF <surcouf@nocternity.net> writes:

> Salut tout le monde,

Salut,

[...]

> La première sortie (0.7.0-1) comportait trois paquets:
> - libdiacanvas2
> - libdiacanvas2-dev
> - libdiacanvas2-doc

> J'en suis actuellement à la troisième sortie (0.7.0-3):
> - libdiacanvas2
> - libdiacanvas2-dev
> Le troisième paquet a été englobé dans le premier, conformément à la
> police de debian. A terme, je pense qu'il faudra encore modifier cette

Seulement si c'est de la doc utilisateur. A mon avis ce doit être de la
doc développeur dans elle doit aller dans le paquet -dev

[...]

> Unpacking replacement libdiacanvas2-dev ...
> dpkg: error processing
> /var/cache/apt/archives/libdiacanvas2-dev_0.7.0-3_i386.deb (--unpack):
>  trying to overwrite `/usr/lib/libdiacanvas2.so', which is also in
> package libdiacanvas2
> dpkg: regarding .../libdiacanvas2_0.7.0-3_i386.deb containing
> libdiacanvas2:
>  libdiacanvas2 conflicts with libdiacanvas2-dev (<< 0.7.0-3)
>   libdiacanvas2-dev (version 0.7.0-1) is installed.

Quand tu déplaces des fichiers d'un paquet à un autre il suffit
d'ajouter le nom du paquet ou était les anciens fichier dans le champ
Replaces

Dans ton cas "Replaces: libdiacanvas2 (<= 0.7.0-1)" pour le paquet -dev

Christian



Reply to: